Name:           i3status
Version:        2.7
Release:        2%{?dist}
Summary:        Generates a status line for dzen2 or wmii

Group:          User Interface/Desktops
License:        MIT
URL:            http://i3wm.org/%{name}
Source0:        http://i3wm.org/%{name}/%{name}-%{version}.tar.bz2

BuildRequires:  libconfuse-devel
BuildRequires:  wireless-tools-devel
BuildRequires:  asciidoc
BuildRequires:  libAfterImage-devel
BuildRequires:  alsa-lib-devel
BuildRequires:  yajl-devel

%description
i3status is a small program for filling dzen2 or wmii’s status bar via its 9P 
pseudo filesystem.


%prep
%setup -q

sed \
    -e 's|CFLAGS+=-Wall -Wshadow -Wpointer-arith -Wcast-qual -Wsign-compare|CFLAGS+=%{optflags} -Wshadow -Wpointer-arith -Wcast-qual -Wsign-compare|g' \
    -e 's|CFLAGS+=-g|CFLAGS+=|g' \
    -e 's|@echo " CC $<"|@echo " $(CC) $(CFLAGS) -c -o $@ $<"|g' \
    -e 's|@echo " LD $@"|@echo " $(CC) -o $@ src/*.o *.o $(LDFLAGS)"|g' \
    -i Makefile


%build
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install \
     DESTDIR=%{buildroot} \
     INSTALL="install -p"

mkdir -p %{buildroot}/%{_sysconfdir}/
install -Dpm0644 %{name}.conf \
        %{buildroot}/%{_sysconfdir}/%{name}.conf


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc LICENSE
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_bindir}/%{name}
%{_mandir}/man*/%{name}*


%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Mar 09 2013 Simon Wesp <cassmodiah@fedoraproject.org> - 2.7-1
- New upstream release

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Nov 27 2012 Martin Preisler <mpreisle@redhat.com> - 2.6-1
- Updated to 2.6

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jun 06 2012 Martin Preisler <mpreisle@redhat.com> - 2.5.1-1
- Updated to 2.5.1

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Apr 11 2010 Simon Wesp <cassmodiah@fedoraproject.org> - 2.1-1
- New upstream release

* Sat Mar 20 2010 Simon Wesp <cassmodiah@fedoraproject.org> - 2.0-4.20100320git
- Update to current git

* Sat Feb 05 2010 Simon Wesp <cassmodiah@fedoraproject.org> - 2.0-2
- Some bugfixes (sync with upstream)

* Wed Dec 02 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 2.0-1
- Package build for Fedora
